function fig3_4A

A=zeros(2,2);
A(1,1)=1;
A(1,2)=-1;
A(2,1)=-1;
A(2,2)=2;

AA=inv(A)

xL=2.5;

clf
% get(gcf)
set(gcf,'Position', [26 909 867 436])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

nt=200;
th=linspace(0,2*pi,nt);

% the circle
subaxis(1,2,1,1,'MT',0.01,'MB',0.13,'MR',0.02,'ML',0.06,'P',0.03)

norm(AA,inf)
cond(AA,inf)
cond(AA,2)

for it=1:nt
    x0(it)=cos(th(it));
    y0(it)=sin(th(it));
    x1(it)=AA(1,1)*x0(it)+AA(1,2)*y0(it);
    y1(it)=AA(2,1)*x0(it)+AA(2,2)*y0(it);
end
hold on
plot(x0,y0,'r','LineWidth',2.5)
plot([-xL xL],[0 0],'k','LineWidth',0.3)
plot([0 0],[-xL xL],'k','LineWidth',0.3)
axis equal
box on
grid on
xlabel('b_1-axis')
ylabel('b_2-axis')
axis([-xL xL -xL xL])
set(gca,'xtick',[-2 -1 0 1 2])
set(gca,'ytick',[-2 -1 0 1 2])
set(gca,'XTickLabel',{'-2r';'-r';'0';'r';'2r'})
set(gca,'YTickLabel',{'-2r';'-r';'0';'r';'2r'})
% say=['\kappa_\infty = 3'];
% text(0.5,-2.5,say,'FontSize',22,'FontWeight','bold')
set(gca,'FontSize',19,'FontWeight','bold')

% the ellipse
subaxis(1,2,2,1)

hold on
plot(x1,y1,'b','LineWidth',2)
plot([-xL xL],[0 0],'k','LineWidth',0.3)
plot([0 0],[-xL xL],'k','LineWidth',0.3)
axis equal
axis([-xL xL -xL xL])
set(gca,'xtick',[-2 -1 0 1 2])
set(gca,'ytick',[-2 -1 0 1 2])
set(gca,'XTickLabel',{'-2r';'-r';'0';'r';'2r'})
set(gca,'YTickLabel',{'-2r';'-r';'0';'r';'2r'})
box on
grid on
xlabel('x_1-axis')
ylabel('x_2-axis')
xM=round(norm(x1,inf)-0.5);
yM=round(norm(y1,inf)+0.5);
say2=['\kappa_\infty = 9'];
say=['d = 2'];
yy=ylim;
xA=xM/6;  yA=yy(1)*0.8;
text(xA,yA,say2,'FontSize',20,'FontWeight','bold')
text(xA,yA*0.8,say,'FontSize',20,'FontWeight','bold')
set(gca,'FontSize',22)

set(gca,'FontSize',19,'FontWeight','bold')

%exportgraphics(gcf,'/Users/mark/Desktop/norM2.eps')
%exportgraphics(gcf,'/Users/holmes/Desktop/norM2.eps')




























